The tag has no wiki summary.

learn more… | top users | synonyms

11
votes
4answers
14k views

Passing PATH through sudo

In short: how to make sudo not to flush PATH everytime? I have some websites deployed on my server (Debian testing) written with Ruby on Rails. I use Mongrel+Nginx to host them, but there is one ...
11
votes
2answers
1k views

Install packages through apt-get or gem?

If a package is available both through apt-get and gem, which one should I choose? I'm on Ubuntu and I don't know if I should install rake through apt-get or gem. I use both apt-get and gem packages ...
9
votes
3answers
15k views

How to install the MySQL Ruby Gem on Ubuntu 9.10?

I am having a problem installing the Ruby Gem for MySQL. This is the command that I am running: sudo gem install mysql and this is the output that I'm getting: Building native extensions. This ...
3
votes
1answer
3k views

How do I use Sublime Text as the OS editor in Mac OS X?

How do I set Sublime Text as the editor for git commits in Mac OS X? In my .zshrc I have: export EDITOR='subl -w' But, if I do: bundle open devise I get the error: Could not run 'subl -w ...
2
votes
1answer
2k views

Linux - Gem Error installing PG

I'm getting used to Linux, and currently making a switch to Backtrack 5 to start practicing for school in security. I'm running msfupdate, which installs a bunch of gem files. While installing PG from ...
2
votes
1answer
1k views

Ruby Gem “mechanize” missing libxml2 on Mac OS X 10.7.2 (Lion)

I'm trying to run a Ruby script, so I installed Ruby together with Ruby gems on my Mac OS X 10.7 system. The script requires the Rubygem "mechanize" so I tried to install it by using: sudo gem ...
2
votes
1answer
293 views

Can I install some ruby gem on a standard OS X user?

I have a Admin user for serious stuff and a Standard user for daily tasks, including front-end development. On the Admin user, I can install Brew, RVM, Middleman etc. But on the Stardard user, where I ...
1
vote
2answers
841 views

when trying to install the watir or watir-webdriver gem on Windows 7 via cygwin, getting long C stack trace with mentions of “W32 socket” issues

When running: $ gem install watir on Windows 7 (cygwin), I get this ERROR: Error installing watir: ERROR: Failed to build gem native extension. /usr/bin/ruby.exe extconf.rb checking for ffi.h... ...
1
vote
1answer
165 views

Issue installing gem

So I'm trying to install this gem but hitting an error. https://github.com/cgore/ruby-btce The actual README says to do a gem install, so I guess I didn't need to clone the git repo? Anyway, I had to ...
1
vote
1answer
49 views

NoMethodError with Ruby when installing SoundCloud 2000 client for CLI

I’m trying to install SoundCloud2000 on my MacBook running Mac OS X 10.8.5. I have Ruby 2.2.0, mpg123, and portaudio installed. Installing SoundCloud 2000 as a GEM seems to work fine: gem install ...
1
vote
2answers
1k views

Can't install gems with Ruby: “invalid byte sequence in UTF-8”

I'm using Mountain Lion. I've installed Ruby first with RVM, then with rbenv. I can assure it's running the latest one with which ruby, it correctly points to the one installed with rbenv. gem won't ...
1
vote
1answer
122 views

RHEL json gem installation requires make?

When I try to install json gem (gem install json), at first it fails to do so, because of some dev package issue. After fixing it, it fails saying that "sh: make: command not found" and "ERROR: ...
1
vote
0answers
315 views

can I remove imagemagick by deleting directories?

I posted this to StackOverflow, but probably belongs here. I'm on OSX Lion, trying to get back to basics so I can run RMagick in Rails 3.0, using rvm. When I tried to add the RMagick gem to Rails ...
0
votes
2answers
2k views

Cowsay doesn't say anything

Okay, I know this is kind of a stupid question to bring to the table here... but why not. I'm using OS X 10.9.2, Mavericks, and have installed cowsay in my terminal with $ sudo gem install cowsay and ...
0
votes
1answer
1k views

Metasploit Install Fails. Requires >= Ruby 2.1 but I have 2.2

I’ve literally been trying to install metasploit for 2 days now and I think that's a ridiculous amount of time just to install some software. I have Arch linux and I am trying to install ...
0
votes
1answer
61 views

How to run Node.js on Mac after successfully installing it with gem?

On Mac OSX Yosemite I have successfully installed node: # sudo gem install node Fetching: eventmachine-1.0.7.gem (100%) Building native extensions. This could take a while... Successfully installed ...
0
votes
1answer
73 views

Gem installation failling with “The compiler failed to generate an executable file” on cygwin

Trying to install multiple gems on cygwin, I keep getting this error: /usr/share/ruby/2.2.0/mkmf.rb:456:in try_do': The compiler failed to generate an executable file. (RuntimeError) This error is ...
0
votes
1answer
31 views

Installing TaskJuggler results in timeout

I'm trying to install TaskJuggler. As far as I can tell, I have successfully installed Ruby and Gem. The command I'm trying to execute and the error message is: C:\...>gem install ...
0
votes
0answers
30 views

How can I install a hipchat gem?

This is the command and the output $ sudo gem install hipchat Password: ERROR: While executing gem ... ...
0
votes
0answers
124 views

How to avoid gem update error in windows?

Showing below error C:\Ruby21>gem update Updating installed gems ERROR: While executing gem ... (Gem::RemoteFetcher::FetchError) SSL_connect returned=1 errno=0 state=SSLv3 read server certificate B: ...
0
votes
0answers
103 views

RubyRep Setup Causes an Error “ Exception caught: Mysql::Error: query: not connected: SHOW TABLES”

I've spent the entire day trying to get RubyRep going on a CentOS machine, and now I'm stuck on the error "Exception caught: Mysql::Error: query: not connected: SHOW TABLES" for which I couldn't find ...
0
votes
0answers
431 views

Gem: Could not find a valid gem in any repository

my problem is that I installed ruby and gem successfully with no errors, but when I go any further, trying to install any gem, it threw an error: ERROR: Could not find a valid gem '<name>' ...
0
votes
1answer
587 views

gem install won't do anything - Mountain Lion

I just got a recent installation of Mountain Lion. I installed homebrew and the gcc on dupes to compile proper rubies. Now, with new versions of ruby (1.9.2) I can create and install gemsets and gems. ...
0
votes
1answer
711 views

Redmine installation - Ruby MySQL connector issue

I am trying to migrate from TRAC to Redmine, though i encountered a problem with the installation procedure. i follow the install guide at : ...
0
votes
1answer
191 views

installing SQLite3 gem on remote FreeBSD server using RVM - root permissions needed?

I am trying to install ruby SQLite3 gem, on a remote freebsd server. I'm using RVM which in theory does not need 'root permission' to compile gems but I get a root error, here: [user ~]$ gem ...
0
votes
1answer
347 views

I cannot get pg-0.14.0 gem installed after Mountain Lion install

I have been trying for some time now to get my Rails development environment back up since I upgraded from Lion to Mountain Lion. The problem is specifically installing the pg-0.14.0 (postgresql) gem. ...
0
votes
1answer
106 views

Cannot find Ruby on Rails installed

I've managed to install Ruby and the gems install (rvm?) but now I'm stuck actually installing Ruby on Rails. Every time I execute, gem install rails Terminal says that it's fetching each file and ...
0
votes
1answer
372 views

Process monitor service in Windows

I need something that runs in the background as a service (Windows), watches defined process and when it crosses thresholds it restarts/stop/starts the process again? (similar functionality of rubygem ...
0
votes
1answer
695 views

Install ruby-debug-ide on Snow Leopard running Ruby 1.9.2

I am trying to install ruby-debug-ide on Snow Leopard running Ruby 1.9 so that I can debug ruby code in Netbeans. I am using the following command sudo gem install ruby-debug-ide19 However I keep ...
0
votes
2answers
29 views

ruby gem install to 1.9.1 instead of 1.8

I ran the following lines in linux gem install mysql And it installed the mysql gem to /var/lib/gems/1.8/gems. That's not where I want it. I wnat it at /var/lib/gems/1.9.1/gems. I could just copy ...
-1
votes
1answer
61 views

Do i need to install gems required by a Sublime Text plugin into rvm's global gemset or will default do?

If a Sublime Text 3 plugin asks me to install a gem for the plugin to work, do i need to tell rvm to install this gem into my global gemset for it to work properly or can I simply type 'gem install ...